com.google.gwt.user.client.ui

## Class MouseListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<MouseListener>
      - - com.google.gwt.user.client.ui.MouseListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<MouseListener>, java.util.Collection<MouseListener>, java.util.List<MouseListener>, java.util.RandomAccess

Deprecated.
Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

    @Deprecated
    public class MouseListenerCollection
    extends java.util.ArrayList<MouseListener>

A helper class for implementers of the SourcesMouseEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `MouseListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`MouseListenerCollection()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `fireMouseDown(Widget sender, int x, int y)` Deprecated. Fires a mouse down event to all listeners.
`void` `fireMouseEnter(Widget sender)` Deprecated. Fires a mouse enter event to all listeners.
`void` `fireMouseEvent(Widget sender, Event event)` Deprecated. A helper for widgets that source mouse events.
`void` `fireMouseLeave(Widget sender)` Deprecated. Fires a mouse leave event to all listeners.
`void` `fireMouseMove(Widget sender, int x, int y)` Deprecated. Fires a mouse move event to all listeners.
`void` `fireMouseUp(Widget sender, int x, int y)` Deprecated. Fires a mouse up event to all listeners.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### MouseListenerCollection

    public MouseListenerCollection()

Deprecated.

### Method Detail

#### fireMouseDown

    public void fireMouseDown(Widget sender,
                              int x,
                              int y)

Deprecated.
Fires a mouse down event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse

#### fireMouseEnter

    public void fireMouseEnter(Widget sender)

Deprecated.
Fires a mouse enter event to all listeners.

Parameters:
  `sender` - the widget sending the event

#### fireMouseEvent

    public void fireMouseEvent(Widget sender,
                               Event event)

Deprecated.
A helper for widgets that source mouse events.

Parameters:
  `sender` - the widget sending the event
  `event` - the `Event` received by the widget

#### fireMouseLeave

    public void fireMouseLeave(Widget sender)

Deprecated.
Fires a mouse leave event to all listeners.

Parameters:
  `sender` - the widget sending the event

#### fireMouseMove

    public void fireMouseMove(Widget sender,
                              int x,
                              int y)

Deprecated.
Fires a mouse move event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse

#### fireMouseUp

    public void fireMouseUp(Widget sender,
                            int x,
                            int y)

Deprecated.
Fires a mouse up event to all listeners.

Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse